Skip to content

Retention and the webhook stream of the audit log

GET
/api/v1/workspaces/{workspace}/audit/settings
curl --request GET \
--url https://reputecast.example.com/api/v1/workspaces/acme-newsletter/audit/settings \
--header 'Authorization: Bearer <token>'

Permission: audit:view

workspace
required

Workspace slug

string
/^[a-z0-9][a-z0-9-]{1,62}$/

Workspace slug

OK

Media typeapplication/json
object
canManage
required

Changing settings needs workspace:manage

boolean
retentionDays
required
integer format: int32
stream
required
object
delivered
required
integer format: int64
enabled
required
boolean
failingSince
string format: date-time
hasSecret
required
boolean
host
string
lastError
string
lastOkAt
string format: date-time
url
string
total
required
integer format: int64

Example generated

{
"canManage": true,
"retentionDays": 1,
"stream": {
"delivered": 1,
"enabled": true,
"failingSince": "2026-04-15T12:00:00Z",
"hasSecret": true,
"host": "example",
"lastError": "example",
"lastOkAt": "2026-04-15T12:00:00Z",
"url": "example"
},
"total": 1
}

Error

Media typeapplication/problem+json
object
code

Stable error code, e.g. permission_denied

string
detail

A human-readable explanation specific to this occurrence of the problem.

string
errors

Optional list of individual error details

Array<object>
object
location

Where the error occurred, e.g. ‘body.items[3].tags’ or ‘path.thing-id’

string
message

Error message text

string
value

The value at the given location

helpers

Members who hold the missing permission

Array<string>
instance

A URI reference that identifies the specific occurrence of the problem.

string format: uri
meta
object
key
additional properties
permission

The missing permission key

string
status

HTTP status code

integer format: int64
title

A short, human-readable summary of the problem type. This value should not change between occurrences of the error.

string
type

A URI reference to human-readable documentation for the error.

string format: uri
default: about:blank

Example

{
"detail": "Property foo is required but is missing.",
"instance": "https://example.com/error-log/abc123",
"status": 400,
"title": "Bad Request",
"type": "about:blank"
}